#include <bits/stdc++.h>

using namespace std;

int main(){
	int n, k, x;
	cin >> n >> k >> x;
	vector<int> p(n);
	for (int i = 0; i < n; i++) cin >> p[i];
	
	for (int i = 0; i <= n-k; i++) {
		int s = 0;
		int c = 1;
		int m = *min_element(p.begin()+i, p.begin()+i+k);
		for (int j = 0; j < k; j++) {
			int ix = i+j;
			s += p[ix]*c;
			if (p[ix] == m) c++;	
		}
		
		cout << s << ' ';
	}
	
	
	return 0;
}